# List Resources

`GET /resources/pv_power_sites`

Lists all PV power sites accessible to the authenticated user. Supports pagination (skip/take), entitlement filtering (advanced/premium), and date range filtering (start/end).

## Parameters

### Query Parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `start` | string (date-time) | no | Filter to sites created on or after this date (ISO 8601 format). |
| `end` | string (date-time) | no | Filter to sites created before this date (ISO 8601 format). |
| `entitlement` | string | no | Optional filter for site entitlement. |
| `forecast_production` | boolean | no | Filter to sites where ML forecast production is enabled (premium only). |
| `query` | string | no | Search query for site name or resource ID. |
| `show_all` | boolean | no | When true, returns all sites in the system. Requires admin privileges. |

## Example request

### cURL

```bash
curl -X GET "https://api.solcast.com.au/resources/pv_power_sites?entitlement=<entitlement>&show_all=<show_all>" \
  -H "Authorization: Bearer $API_KEY"
```

### Python

```python
import requests

response = requests.get(
    "https://api.solcast.com.au/resources/pv_power_sites",
    headers={"Authorization": "Bearer API_KEY"},
)
data = response.json()
```

## Example response (200)

```json
{
  "offset": 0,
  "total": 10,
  "results": [
    {
      "resource_id": "cbf6-a872-1cb2-566f",
      "name": "GDP - Postman Test Site",
      "latitude": 8.2246,
      "longitude": -73.323238,
      "capacity": 34.88,
      "capacity_dc": 40.96,
      "azimuth": 152.5,
      "tilt": 10.4,
      "tracking_type": "fixed",
      "install_date": "2023-08-01T07:00:00.0000000Z",
      "grid_export_limit": 35,
      "module_type": "mono-si",
      "ground_coverage_ratio": 0.626,
      "derating_temp_module": 0.0034,
      "derating_age_system": 0.0045,
      "derating_other_system": 0.0525,
      "inverter_peak_efficiency": 0.95,
      "tracker_axis_azimuth": 0,
      "tracker_max_rotation_angle": 60,
      "tracker_back_tracking": true,
      "tracker_smart_tracking": false,
      "terrain_slope": 0,
      "terrain_azimuth": 0,
      "dust_soiling_average": [
        0.015,
        0.015,
        0.015,
        0.015,
        0.015,
        0.015,
        0.015,
        0.015,
        0.015,
        0.015,
        0.015,
        0.015
      ],
      "bifacial_system": true,
      "site_ground_albedo": 0.25,
      "bifaciality_factor": 0.7,
      "pvrow_height": 1.5,
      "pvrow_width": 2
    },
    {
      "resource_id": "3ae7-2456-492c-9aba",
      "name": "Test Site: Fort Peck",
      "latitude": 48.30783,
      "longitude": -105.1017,
      "capacity": 10,
      "capacity_dc": 1.27,
      "azimuth": 180,
      "tilt": 46.59,
      "tracking_type": "horizontal_single_axis",
      "install_date": "2023-07-01T00:00:00.0000000Z",
      "module_type": "poly-si",
      "ground_coverage_ratio": 0.47,
      "derating_temp_module": 0.0039,
      "derating_age_system": 0.0059,
      "derating_other_system": 0.07,
      "inverter_peak_efficiency": 0.985,
      "tracker_axis_azimuth": 0,
      "tracker_max_rotation_angle": 60,
      "tracker_back_tracking": true,
      "tracker_smart_tracking": false,
      "terrain_slope": 0,
      "terrain_azimuth": 0,
      "dust_soiling_average": [
        0.015,
        0.015,
        0.015,
        0.015,
        0.015,
        0.015,
        0.015,
        0.015,
        0.015,
        0.015,
        0.015,
        0.015
      ],
      "bifacial_system": false,
      "site_ground_albedo": 0.25,
      "bifaciality_factor": 0.7,
      "pvrow_height": 1.5,
      "pvrow_width": 2,
      "confirmed_metadata": "2024-08-01T08:22:57.5742140Z"
    },
    {
      "resource_id": "8d10-f530-af85-5cbb",
      "name": "Test Site: Giza Pyramid Complex",
      "latitude": 29.977296,
      "longitude": 31.132496,
      "capacity": 10,
      "capacity_dc": 1.27,
      "azimuth": 180,
      "tilt": 46.59,
      "tracking_type": "horizontal_single_axis",
      "install_date": "2023-07-01T00:00:00.0000000Z",
      "module_type": "poly-si",
      "ground_coverage_ratio": 0.47,
      "derating_temp_module": 0.0039,
      "derating_age_system": 0.0059,
      "derating_other_system": 0.07,
      "inverter_peak_efficiency": 0.985,
      "tracker_axis_azimuth": 0,
      "tracker_max_rotation_angle": 60,
      "tracker_back_tracking": true,
      "tracker_smart_tracking": false,
      "terrain_slope": 0,
      "terrain_azimuth": 0,
      "dust_soiling_average": [
        0.015,
        0.015,
        0.015,
        0.015,
        0.015,
        0.015,
        0.015,
        0.015,
        0.015,
        0.015,
        0.015,
        0.015
      ],
      "bifacial_system": false,
      "site_ground_albedo": 0.25,
      "bifaciality_factor": 0.7,
      "pvrow_height": 1.5,
      "pvrow_width": 2,
      "confirmed_metadata": "2024-08-01T08:25:39.5720920Z"
    }
  ]
}
```

## Responses

### 200 — OK

Schema: `QueryResponse_PvPowerResource`

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `offset` | integer (int32) | no |  |
| `total` | integer (int32) | no |  |
| `results` | PvPowerResource[] | no |  |
| `meta` | object | no |  |
| `response_status` | string | no |  |

Source: /docs/section/advanced-pv-power#getResourcesPvPowerSites
